<?php 
/**
 * Createing an about us pannel for customizer
 *
 */
// PROJECT SECTION START HERE 
/*============PROJECT SECTION PANEL============*/
$wp_customize->add_section(
	'lz_fitness_project_section',
	array(
		'title'         => __( 'Our Projects Section', 'gurukul' ),
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
// ENABLE/DISABLE TEAM SECTION
$wp_customize->add_setting(
	'lz_fitness_project_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_project_section_disable',
		array(
			'settings'      => 'lz_fitness_project_section_disable',
			'section'       => 'lz_fitness_project_section',
			'label'         => __( 'Disable Section', 'gurukul' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'gurukul' ),
				'off' => __( 'No', 'gurukul' )
			)   
		)
	)
);
backgroundManager($wp_customize, 'project', 'lz_fitness_project_section', $color='#ffffff');

$wp_customize->add_setting(
	'lz_fitness_project_title_subtitle_heading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_project_title_subtitle_heading',
		array(
			'settings'      => 'lz_fitness_project_title_subtitle_heading',
			'section'       => 'lz_fitness_project_section',
			'label'         => __( 'Section Title', 'gurukul' ),
		)
	)
);
$wp_customize->add_setting(
	'lz_fitness_project_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Our Projects', 'gurukul' )
	)
);
$wp_customize->add_control(
	'lz_fitness_project_title',
	array(
		'settings'      => 'lz_fitness_project_title',
		'section'       => 'lz_fitness_project_section', 
		'type'          => 'text',
		'label'         => __( 'Section Title', 'gurukul' )
	)
);

addColorPalatOption($wp_customize, 'lz_fitness_project_HeadingColor', 'lz_fitness_project_section', 'Section Title color', '#303030');

addColorPalatOption($wp_customize, 'lz_fitness_project_HeadingborderColor', 'lz_fitness_project_section', 'Section Title border color', '#1cb9c8');


$wp_customize->add_setting('lz_fitness_project_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_project_npp_heading',
		array(
			'settings'      => 'lz_fitness_project_npp_heading',
			'section'       => 'lz_fitness_project_section',
			'label'         => __( 'Number Of project to show', 'gurukul' ),
		)
	)
);    
$wp_customize->add_setting('lz_fitness_project_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 7));
$wp_customize->add_control(
	'lz_fitness_project_npp_count',
	array(
		'settings'      => 'lz_fitness_project_npp_count',
		'section'       => 'lz_fitness_project_section',
		'type'          => 'select',
		'label'         => __( 'Number of projects to show', 'gurukul' ),
		'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
	)
);


// PROJECT PAGES
for( $i = 1; $i <= 12; $i++ ){
	$wp_customize->add_setting(
		'lz_fitness_project_heading'.$i,
		array(
			'sanitize_callback' => 'lz_fitness_sanitize_text'
		)
	);
	$wp_customize->add_control(
		new lz_fitness_Customize_Heading(
			$wp_customize,
			'lz_fitness_project_heading'.$i,
			array(
				'settings'      => 'lz_fitness_project_heading'.$i,
				'section'       => 'lz_fitness_project_section',
				'label'         => __( 'project', 'gurukul' ).$i,
			)
		)
	);
	if(is_array($lzFitnessProjectSingleChoice)){
		$wp_customize->add_setting(
			'lz_fitness_project_page'.$i,
			array(
				'sanitize_callback' => 'absint'
			)
		);
		$wp_customize->add_control(
			'lz_fitness_project_page'.$i,
			array(
				'settings'      => 'lz_fitness_project_page'.$i,
				'section'       => 'lz_fitness_project_section',
				'type'=> 'select',
				'label'         => __( 'Select a Project', 'gurukul' ),
				'choices' => $lzFitnessProjectSingleChoice,
			)
		);
	}else{
		$wp_customize->add_setting('lz_fitness_project_section_lbl'.$i, array('sanitize_callback'=>'lz_fitness_sanitize_text'));
		$wp_customize->add_control(
			new lz_fitness_Info_Text( 
				$wp_customize,
				'lz_fitness_project_section_lbl'.$i,
				array(
					'settings'		=> 'lz_fitness_project_section_lbl'.$i,
					'section'		=> 'lz_fitness_project_section',
					'label'			=> __( 'Note:', 'gurukul' ),	
					'description'	=> __( '<strong>Changes will not reflect unless you select the project member.</strong> <br/>Please add the project from "Project menu" and then select project member to show information.', 'gurukul' ),
				)
			)
		);
	}

}

//FEATURED PAGES
for( $i = 1; $i <= 1; $i++ ){

    $wp_customize->add_setting(
        'lz_fitness_project_page_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_project_page_header'.$i,
            array(
                'settings'      => 'lz_fitness_project_page_header'.$i,
                'section'       => 'lz_fitness_project_section',
                'label'         => __( 'Project Overlay Button Text:', 'gurukul' )
            )
        )
    );
$wp_customize->add_setting(
    'lz_fitness_viewprojectbutton1',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'VIEW PROJECT' )
    )
);
$wp_customize->add_control(
    'lz_fitness_viewprojectbutton1',
    array(
        'settings'      => 'lz_fitness_viewprojectbutton1',
        'section'       => 'lz_fitness_project_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'lz-fitness-premium' )
    )
);

}

addColorPalatOption($wp_customize, 'lz_fitness_project_ProjecttitleColor', 'lz_fitness_project_section', 'Project Title color', '#ffffff');

addColorPalatOption($wp_customize, 'lz_fitness_project_ProjecttitlebgsColor', 'lz_fitness_project_section', 'Project Title Background color', '#1cb9c8');

addColorPalatOption($wp_customize, 'lz_fitness_project_ProjectoverlaybgsColor', 'lz_fitness_project_section', 'Overlay Background color', '#1cb9c8');

addColorPalatOption($wp_customize, 'lz_fitness_project_viewbtnColor', 'lz_fitness_project_section', 'View Project Text color', '#000');
addColorPalatOption($wp_customize, 'lz_fitness_project_viewbtnhoverColor', 'lz_fitness_project_section', 'View Project Text Hover color', '#ffffff');


lzCustomLable($wp_customize, 'lz_fitness_premium_aboutproject_lblbutton1display', 'lz_fitness_project_section', 'Button Display & Text Setting:');
// to show & hide another button
$wp_customize->add_setting( 'aboutproject_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'aboutproject_button_display', array( 'label' => 'Button Display', 'section' => 'lz_fitness_project_section', 'settings' => 'aboutproject_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button

$wp_customize->add_setting(
    'lz_fitness_aboutproject',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'All Projects' )
    )
);
$wp_customize->add_control(
    'lz_fitness_aboutproject',
    array(
        'settings'      => 'lz_fitness_aboutproject',
        'section'       => 'lz_fitness_project_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting('lz_fitness_header_aboutprojectlink',   array('default'=> 'add Button link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_header_aboutprojectlink',
    array(
        'settings'      => 'lz_fitness_header_aboutprojectlink',
        'section'       => 'lz_fitness_project_section',
        'type'          => 'url',
        'label'         => __( 'Button Url', 'gurukul' )
    )
);


// TEAM SECTION END HERE 
// Heading color


addColorPalatOption($wp_customize, 'lz_fitness_project_btntextclrColor', 'lz_fitness_project_section', 'Button Text color', '#fff');
addColorPalatOption($wp_customize, 'lz_fitness_project_btntextarrowclrColor', 'lz_fitness_project_section', 'Button Arrow color', '#fff');
addColorPalatOption($wp_customize, 'lz_fitness_project_btnbgssclrColor', 'lz_fitness_project_section', 'Button Background color', '#1cb9c8');

addColorPalatOption($wp_customize, 'lz_fitness_project_btntexthoverclrColor', 'lz_fitness_project_section', 'Button Text Hover color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_project_btntextarrowhoverclrColor', 'lz_fitness_project_section', 'Button Arrow Hover color', '#1cb9c8');
addColorPalatOption($wp_customize, 'lz_fitness_project_btnbgsshoverclrColor', 'lz_fitness_project_section', 'Button Background Hover color', '#3a3c3d');


